### Hierarchy

- RequestManager

## Index

### Constructors

- constructor

### Properties

- provider
- providers
- subscriptions

### Methods

- addSubscription
- clearSubscriptions
- getProviderFromPath
- removeSubscription
- send
- sendBatch
- setProvider

### Object literals

- providers

## Constructors

### constructor

- new RequestManager(provider?: string | Provider): RequestManager

- - Defined in core/requestManager/index.ts:25

  #### Parameters

  - ##### Optional provider: string | Provider

  #### Returns RequestManager

## Properties

### provider

provider: any

- Defined in core/requestManager/index.ts:23

### providers

providers: any

- Defined in core/requestManager/index.ts:24

### subscriptions

subscriptions: object

- Defined in core/requestManager/index.ts:25

## Methods

### addSubscription

- addSubscription(id: string, name: string, type: string, callback: any): void

- - Defined in core/requestManager/index.ts:115

  #### Parameters

  - ##### id: string

  - ##### name: string

  - ##### type: string

  - ##### callback: any

  #### Returns void

### clearSubscriptions

- clearSubscriptions(keepIsSyncing: boolean): void

- - Defined in core/requestManager/index.ts:144

  #### Parameters

  - ##### keepIsSyncing: boolean

  #### Returns void

### Private getProviderFromPath

- getProviderFromPath(path: string, net?: any): Provider

- - Defined in core/requestManager/index.ts:157

  #### Parameters

  - ##### path: string

  - ##### Optional net: any

  #### Returns Provider

### removeSubscription

- removeSubscription(id: string, callback?: function): void

- - Defined in core/requestManager/index.ts:129

  #### Parameters

  - ##### id: string

  - ##### Optional callback: function

    - - (arg: any): any

      - #### Parameters

        - ##### arg: any

        #### Returns any

  #### Returns void

### send

- send(data: any, callback?: function): any

- - Defined in core/requestManager/index.ts:63

  #### Parameters

  - ##### data: any

  - ##### Optional callback: function

    - - (...args: any[]): any

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns any

### sendBatch

- sendBatch(data: any, callback: any): any

- - Defined in core/requestManager/index.ts:95

  #### Parameters

  - ##### data: any

  - ##### callback: any

  #### Returns any

### setProvider

- setProvider(newProvider: string | Provider, net?: any): void

- - Defined in core/requestManager/index.ts:34

  #### Parameters

  - ##### newProvider: string | Provider

  - ##### Optional net: any

  #### Returns void

## Object literals

### Static providers

providers: object

- Defined in core/requestManager/index.ts:18

### HttpProvider

HttpProvider: HttpProvider

- Defined in core/requestManager/index.ts:19

### IpcProvider

IpcProvider: IpcProvider

- Defined in core/requestManager/index.ts:20

### WebsocketProvider

WebsocketProvider: WebsocketProvider

- Defined in core/requestManager/index.ts:21

Generated using TypeDoc